# -*- perl -*-
use strict;
use lib 'inc';
use Module::Metadata;

use ExtUtils::AutoInstall (
    -core => {
	'Getopt::Long' => 2.34,
	'File::Path'   => 2.08,
	'File::Basename' => 2.84,
	'Test::NoWarnings' => 0,
	'Crypt::RSA::Parse' => 0.043,
	'Protocol::ACME' => 1.01,
	'Protocol::ACME::Challenge::LocalFile' => 1.01,
	'Crypt::Format' => 0.06,
	'Crypt::OpenSSL::PKCS10' => 0.16,
	'Crypt::OpenSSL::RSA' => 0.28,
	'Crypt::OpenSSL::X509' => 1.808,
	'DateTime::Format::Strptime' => 1.42,
	'LWP::UserAgent' => 6.15,
	'LWP::Protocol::https' => 6.07,
	'Pod::Usage' => 1.51,
	'Pod::Man' => 2.25,
	'Text::ParseWords' => 3.27,
	'Data::Dumper' => 0
    }	 
);

WriteMakefile(NAME      =>      'App::Acmeman',
	      ABSTRACT_FROM  => 'acmeman',
	      VERSION_FROM =>   'acmeman',
	      AUTHOR    =>      'Sergey Poznyakoff <gray@gnu.org>',
	      LICENSE   =>      'gpl_3',
	      EXE_FILES =>      [ 'acmeman' ],
	      MIN_PERL_VERSION => 5.006,
	      META_MERGE => {
		  'meta-spec' => { version => 2 },
		  resources => {
		      repository => {
			  type => 'git',
			  url => 'git://git.gnu.org.ua/gsc/acmeman.git',
			  web => 'http://git.gnu.org.ua/cgit/gsc/acmeman.git/',
		      },
		  },
		  provides => Module::Metadata->provides(version => '1.4',
							 dir => 'lib')
	      }
	      
);
